#include <maya/MPxSurfaceShape.h>

class CurveStandIn : public MPxSurfaceShape
{
public:
	CurveStandIn();
	virtual ~CurveStandIn();

	virtual MStatus compute(const MPlug& plug, MDataBlock& dataBlock);
	static void* creator();
	static MStatus initialize();

public:
	static MTypeId id;
	static MObject aFileName;
	static MObject aOutputCurve;
};